import ChallengeCardDone from 'components/Challenge/ChallengeCardDone'
import { shallow } from 'enzyme'
import React from 'react'
import { userChallengeData } from '../../../tests/__mocks__/userChallengeData.mock'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})
const mockImportIconById = jest.fn()
const mockFormatNumberValues = jest.fn()
jest.mock('utils/utils', () => {
  return {
    importIconById: jest.fn(() => mockImportIconById),
    formatNumberValues: jest.fn(() => mockFormatNumberValues),
    getChallengeTitleWithLineReturn: jest.fn(() => 'Challenge 1'),
  }
})

const mockedNavigate = jest.fn()
jest.mock('react-router-dom', () => ({
  ...jest.requireActual('react-router-dom'),
  useNavigate: () => mockedNavigate,
}))

describe('ChallengeCardDone component', () => {
  it('should be rendered correctly', () => {
    const component = shallow(
      <ChallengeCardDone userChallenge={userChallengeData[0]} />
    ).getElement()
    expect(component).toMatchSnapshot()
  })
})
