import FormLogin from 'components/Connection/FormLogin'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import { FluidStatus } from 'models'
import React from 'react'
import '../connection.scss'

interface EpglFormProps {
  fluidStatus: FluidStatus
  hasCreatedAccount: boolean
}

const EpglForm = ({ fluidStatus, hasCreatedAccount }: EpglFormProps) => {
  const { t } = useI18n()

  return (
    <div className="connection-form">
      {hasCreatedAccount && (
        <p className="connection-form-title eglgrandlyon text-20-bold">
          {t('auth.eglgrandlyon.with_account.title')}
        </p>
      )}
      <div className="connection-form-subtitle text-18-bold">
        {t('auth.eglgrandlyon.with_account.subtitle1')}
      </div>
      <FormLogin fluidStatus={fluidStatus} />
    </div>
  )
}

export default EpglForm
