import React from 'react'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import thunderFilled from 'assets/icons/visu/thunderFilled.svg'
import thunderEmpty from 'assets/icons/visu/thunderEmpty.svg'

interface EfficientyRatingProps {
  result: number
}

const EfficientyRating: React.FC<EfficientyRatingProps> = ({
  result,
}: EfficientyRatingProps) => {
  const maxStars = [1, 2, 3, 4, 5]

  return (
    <div className="thunder">
      {maxStars.map((number, i) => {
        if (number <= result)
          return (
            <StyledIcon
              key={i}
              className="star"
              icon={thunderFilled}
              size={15}
            />
          )
        else
          return (
            <StyledIcon
              key={i}
              className="star"
              icon={thunderEmpty}
              size={15}
            />
          )
      })}
    </div>
  )
}

export default EfficientyRating
