import React from 'react'
import { useSelector } from 'react-redux'
import { AppStore } from 'store'
import { convertDateToShortDateString } from 'utils/date'
import './consumptionDetails.scss'
import TotalConsumption from 'components/TotalConsumption/TotalConsumption'
import { FluidType } from 'enum/fluid.enum'
interface ConsumptionDetailsProps {
  fluidType: FluidType
}

const ConsumptionDetails: React.FC<ConsumptionDetailsProps> = ({
  fluidType,
}: ConsumptionDetailsProps) => {
  const { currentTimeStep, currentDatachart } = useSelector(
    (state: AppStore) => state.ecolyo.chart
  )

  return (
    <>
      <div className="consumption-details-root">
        <div className="consumption-details-content">
          <div className="consumption-details-header text-16-normal-uppercase details-title">
            {convertDateToShortDateString(
              currentDatachart.actualData,
              currentTimeStep
            )}
          </div>
          <TotalConsumption
            actualData={currentDatachart.actualData}
            fluidType={fluidType}
          />
        </div>
      </div>
    </>
  )
}

export default ConsumptionDetails
