import mockClient from '../../tests/__mocks__/client'
import { mockCustomPopup } from '../../tests/__mocks__/customPopup.mock'
import CustomPupopService from './customPopup.service'

jest.mock('services/environment.service', () => {
  return jest.fn(() => {
    return {
      isProduction: () => true,
    }
  })
})

describe('PartnersInfo service', () => {
  const customPupopService = new CustomPupopService(mockClient)

  it('should return customPopup data', async () => {
    mockClient.getStackClient().fetchJSON.mockResolvedValueOnce(mockCustomPopup)
    const result = await customPupopService.getCustomPopup()
    expect(result).toBe(mockCustomPopup)
  })

  it('should return an error', async () => {
    mockClient.getStackClient().fetchJSON.mockRejectedValue(new Error())
    let res
    try {
      res = await customPupopService.getCustomPopup()
      expect(true).toBe(false)
    } catch (error) {
      expect(res).toBe(undefined)
    }
  })
})
