import { TimeStep } from 'enum/timeStep.enum'
import { DateTime } from 'luxon'
import {
  SET_CURRENT_TIMESTEP,
  SET_SELECTED_DATE,
  SET_CURRENT_INDEX,
  SET_CURRENT_DATACHART,
  SET_LOADING,
  setCurrentTimeStep,
  setSelectedDate,
  setCurrentIndex,
  setCurrentDatachart,
  setCurrentDatachartIndex,
  setLoading,
  SET_CURRENT_DATACHART_INDEX,
} from './chart.actions'
import { graphData } from '../../../tests/__mocks__/datachartData.mock'

describe('chart actions', () => {
  it('should create an action to set selected date', () => {
    const date = DateTime.local().setZone('utc', {
      keepLocalTime: true,
    })
    const expectedAction = {
      type: SET_SELECTED_DATE,
      payload: date,
    }
    expect(setSelectedDate(date)).toEqual(expectedAction)
  })

  it('should create an action to set time step', () => {
    const timeStep = TimeStep.DAY
    const expectedAction = {
      type: SET_CURRENT_TIMESTEP,
      payload: timeStep,
    }
    expect(setCurrentTimeStep(timeStep)).toEqual(expectedAction)
  })

  it('should create an action to set index', () => {
    const expectedAction = {
      type: SET_CURRENT_INDEX,
      payload: 1,
    }
    expect(setCurrentIndex(1)).toEqual(expectedAction)
  })

  it('should create an action to set datachart', () => {
    const expectedAction = {
      type: SET_CURRENT_DATACHART,
      payload: graphData,
    }
    expect(setCurrentDatachart(graphData)).toEqual(expectedAction)
  })

  it('should create an action to set datachart index', () => {
    const expectedAction = {
      type: SET_CURRENT_DATACHART_INDEX,
      payload: 1,
    }
    expect(setCurrentDatachartIndex(1)).toEqual(expectedAction)
  })

  it('should create an action to set loading', () => {
    const expectedAction = {
      type: SET_LOADING,
      payload: true,
    }
    expect(setLoading(true)).toEqual(expectedAction)
  })
})
