import { modalReducer } from './modal.reducer'
import { UPDATE_MODAL_ISFEEDBACKSOPEN } from './modal.actions'
import { mockInitialModalState } from '../../../tests/__mocks__/store'

describe('modal reducer', () => {
  it('should return the initial state', () => {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    const result = modalReducer(undefined as any, { type: 'default' })
    expect(result).toEqual(mockInitialModalState)
  })

  it('should handle UPDATE_MODAL_ISFEEDBACKSOPEN with payload', () => {
    const result = modalReducer(mockInitialModalState, {
      type: UPDATE_MODAL_ISFEEDBACKSOPEN,
      payload: true,
    })
    expect(result).toEqual({
      ...mockInitialModalState,
      isFeedbacksOpen: true,
    })
  })

  it('should handle UPDATE_MODAL_ISFEEDBACKSOPEN without payload', () => {
    const result = modalReducer(mockInitialModalState, {
      type: UPDATE_MODAL_ISFEEDBACKSOPEN,
    })
    expect(result).toEqual(mockInitialModalState)
  })
})
