import { profileEcogestureReducer } from './profileEcogesture.reducer'
import { UPDATE_PROFILEECOGESTURE } from './profileEcogesture.actions'
import {
  mockProfileEcogesture,
  mockProfileEcogestureUpdated,
} from '../../../tests/__mocks__/profileEcogesture.mock'

describe('profileEcogesture reducer', () => {
  it('should return the initial state', () => {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    const result = profileEcogestureReducer(undefined as any, {
      type: 'default',
    })
    expect(result).toEqual(mockProfileEcogesture)
  })

  it('should handle UPDATE_PROFILEECOGESTURE with payload', () => {
    const result = profileEcogestureReducer(mockProfileEcogesture, {
      type: UPDATE_PROFILEECOGESTURE,
      payload: mockProfileEcogestureUpdated,
    })
    expect(result).toEqual(mockProfileEcogestureUpdated)
  })

  it('should handle UPDATE_PROFILEECOGESTURE without payload', () => {
    const result = profileEcogestureReducer(mockProfileEcogesture, {
      type: UPDATE_PROFILEECOGESTURE,
    })
    expect(result).toEqual(mockProfileEcogesture)
  })
})
