import { Duration } from 'luxon'
import { UserDuel, DuelEntity } from 'models'
import { UserDuelState } from 'enum/userDuel.enum'

export const duelEntity: DuelEntity = {
  id: 'DUEL001',
  title: 'Title DUEL001',
  description:
    'Je parie un ours polaire que vous ne pouvez pas consommer moins que #CONSUMPTION € en 1 semaine',

  duration: Duration.fromObject({ days: 30 }),
}

export const allDuelEntity: DuelEntity[] = [
  {
    id: 'DUEL001',
    title: 'Title DUEL001',
    description: 'Description DUEL001',
    duration: Duration.fromObject({ days: 30 }),
  },
  {
    id: 'DUEL002',
    title: 'Title DUEL002',
    description: 'Description DUEL002',
    duration: Duration.fromObject({ days: 7 }),
  },
]

export const duelData: UserDuel = {
  id: 'DUEL001',
  title: 'Title DUEL001',
  description:
    'Je parie un ours polaire que vous ne pouvez pas consommer moins que #CONSUMPTION € en 1 semaine',
  duration: Duration.fromObject({ days: 30 }),
  threshold: 0,
  state: UserDuelState.LOCKED,
  startDate: null,
  fluidTypes: [],
  userConsumption: 0,
}

export const duelDefault: UserDuel = {
  id: '',
  title: '',
  description: '',
  duration: Duration.fromObject({ days: 0 }),
  threshold: 0,
  state: UserDuelState.LOCKED,
  startDate: null,
  fluidTypes: [],
  userConsumption: 0,
}

export const allDuelData: UserDuel[] = [
  {
    id: 'DUEL001',
    title: 'Title DUEL001',
    description:
      'Je parie un ours polaire que vous ne pouvez pas consommer moins que #CONSUMPTION € en 1 semaine',
    duration: Duration.fromObject({ days: 30 }),
    threshold: 1,
    state: UserDuelState.LOCKED,
    startDate: null,
    fluidTypes: [],
    userConsumption: 0,
  },
  {
    id: 'DUEL002',
    title: 'Title DUEL002',
    description: 'Description DUEL002',
    duration: Duration.fromObject({ days: 7 }),
    threshold: 1,
    state: UserDuelState.LOCKED,
    startDate: null,
    fluidTypes: [],
    userConsumption: 3000,
  },
]
